import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { environment } from '../../environments/environment';

@Injectable({
  providedIn: 'root'
})
export class EquipmentService {

  private baseUrl = environment.apiUrl + 'equipments';

  constructor(private http: HttpClient) { }

  getEquipment(id: number): Observable<any> {
    return this.http.get(`${this.baseUrl}/${id}`);
  }

  createEquipment(equipment: object): Observable<object> {
    return this.http.post(`${this.baseUrl}`, equipment);
  }

  updateEquipment(id: number, value: any): Observable<object> {
    return this.http.put(`${this.baseUrl}/${id}`, value);
  }

  deleteEquipment(id: number): Observable<any> {
    return this.http.delete(`${this.baseUrl}/${id}`, { responseType: 'text' });
  }

  getEquipmentsList(): Observable<any> {
    return this.http.get(`${this.baseUrl}`);
  }

}
