import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import {environment} from '../../environments/environment';

@Injectable({
  providedIn: 'root'
})
export class EventService {

  private baseUrl = environment.apiUrl + 'events';

  constructor(private http: HttpClient) { }

  public getEvent(id: number): Observable<any> {
    return this.http.get(`${this.baseUrl}/${id}`);
  }

  public getEventsList(): Observable<any> {
    return this.http.get(`${this.baseUrl}`);
  }
}
