import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import {environment} from '../../environments/environment';

@Injectable({
  providedIn: 'root'
})
export class EventroomService {

  private baseUrl = environment.apiUrl + 'eventrooms';

  constructor(private http: HttpClient) { }

  getEventroom(id: number): Observable<any> {
    return this.http.get(`${this.baseUrl}/${id}`);
  }

  createEventroom(eventroom: object): Observable<object> {
    return this.http.post(`${this.baseUrl}`, eventroom);
  }

  updateEventroom(id: number, value: any): Observable<object> {
    return this.http.put(`${this.baseUrl}/${id}`, value);
  }

  deleteEventroom(id: number): Observable<any> {
    return this.http.delete(`${this.baseUrl}/${id}`, { responseType: 'text' });
  }

  getEventroomsList(): Observable<any> {
    return this.http.get(`${this.baseUrl}`);
  }

}
