import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import {environment} from '../../environments/environment';

@Injectable({
  providedIn: 'root'
})
export class RoomequipmentService {

  private baseUrl = environment.apiUrl + 'roomequipments';

  constructor(private http: HttpClient) { }

  getRoomequipment(id: number): Observable<any> {
    return this.http.get(`${this.baseUrl}/${id}`);
  }

  createRoomequipment(roomequipment: object): Observable<object> {
    return this.http.post(`${this.baseUrl}`, roomequipment);
  }

  updateRoomequipment(id: number, value: any): Observable<object> {
    return this.http.put(`${this.baseUrl}/${id}`, value);
  }

  deleteRoomequipment(id: number): Observable<any> {
    return this.http.delete(`${this.baseUrl}/${id}`, { responseType: 'text' });
  }

  getRoomequipmentList(): Observable<any> {
    return this.http.get(`${this.baseUrl}`);
  }

}
