import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import {environment} from '../../environments/environment';

@Injectable({
  providedIn: 'root'
})
export class TypereservationService {

  private baseUrl = environment.apiUrl + 'typereservations';

  constructor(private http: HttpClient) { }

  getTypereservation(id: number): Observable<any> {
    return this.http.get(`${this.baseUrl}/${id}`);
  }

  createTypereservation(typereservation: object): Observable<object> {
    return this.http.post(`${this.baseUrl}`, typereservation);
  }

  updateTypereservation(id: number, value: any): Observable<object> {
    return this.http.put(`${this.baseUrl}/${id}`, value);
  }

  deleteTypereservation(id: number): Observable<any> {
    return this.http.delete(`${this.baseUrl}/${id}`, { responseType: 'text' });
  }

  getTypereservationList(): Observable<any> {
    return this.http.get(`${this.baseUrl}`);
  }

}
