import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';

import { RoomDetailsComponent } from './room/room-details/room-details.component';
import { RoomCreateComponent } from './room/room-create/room-create.component';
import { RoomListComponent } from './room/room-list/room-list.component';
import { RoomUpdateComponent } from './room/room-update/room-update.component';

import { EquipmentDetailsComponent } from './equipment/equipment-details/equipment-details.component';
import { EquipmentCreateComponent } from './equipment/equipment-create/equipment-create.component';
import { EquipmentListComponent } from './equipment/equipment-list/equipment-list.component';
import { EquipmentUpdateComponent } from './equipment/equipment-update/equipment-update.component';

import { EventroomDetailsComponent } from './eventroom/eventroom-details/eventroom-details.component';
import { EventroomCreateComponent } from './eventroom/eventroom-create/eventroom-create.component';
import { EventroomListComponent } from './eventroom/eventroom-list/eventroom-list.component';
import { EventroomUpdateComponent } from './eventroom/eventroom-update/eventroom-update.component';

import { TypereservationDetailsComponent } from './typereservation/typereservation-details/typereservation-details.component';
import { TypereservationCreateComponent } from './typereservation/typereservation-create/typereservation-create.component';
import { TypereservationListComponent } from './typereservation/typereservation-list/typereservation-list.component';
import { TypereservationUpdateComponent } from './typereservation/typereservation-update/typereservation-update.component';

import { RoomequipmentDetailsComponent } from './roomequipment/roomequipment-details/roomequipment-details.component';
import { RoomequipmentCreateComponent } from './roomequipment/roomequipment-create/roomequipment-create.component';
import { RoomequipmentListComponent } from './roomequipment/roomequipment-list/roomequipment-list.component';
import { RoomequipmentUpdateComponent } from './roomequipment/roomequipment-update/roomequipment-update.component';

import { LoginComponent } from './login/login.component';
import { LogoutComponent } from './logout/logout.component';
import {AuthguardService} from './_services/authguard.service';


const routes: Routes = [

  { path: 'room/rooms', component: RoomListComponent, canActivate: [AuthguardService] },
  { path: 'room/add', component: RoomCreateComponent, canActivate: [AuthguardService] },
  { path: 'room/update/:id', component: RoomUpdateComponent, canActivate: [AuthguardService] },
  { path: 'room/details/:id', component: RoomDetailsComponent, canActivate: [AuthguardService] },

  { path: 'equipment/equipments', component: EquipmentListComponent, canActivate: [AuthguardService] },
  { path: 'equipment/add', component: EquipmentCreateComponent, canActivate: [AuthguardService] },
  { path: 'equipment/update/:id', component: EquipmentUpdateComponent, canActivate: [AuthguardService] },
  { path: 'equipment/details/:id', component: EquipmentDetailsComponent, canActivate: [AuthguardService] },

  { path: 'eventroom/eventrooms', component: EventroomListComponent, canActivate: [AuthguardService] },
  { path: 'eventroom/add', component: EventroomCreateComponent, canActivate: [AuthguardService] },
  { path: 'eventroom/update/:id', component: EventroomUpdateComponent, canActivate: [AuthguardService] },
  { path: 'eventroom/details/:id', component: EventroomDetailsComponent, canActivate: [AuthguardService] },

  { path: 'typereservation/typereservations', component: TypereservationListComponent, canActivate: [AuthguardService] },
  { path: 'typereservation/add', component: TypereservationCreateComponent, canActivate: [AuthguardService] },
  { path: 'typereservation/update/:id', component: TypereservationUpdateComponent, canActivate: [AuthguardService] },
  { path: 'typereservation/details/:id', component: TypereservationDetailsComponent, canActivate: [AuthguardService] },

  { path: 'roomequipment/roomequipments', component: RoomequipmentListComponent, canActivate: [AuthguardService] },
  { path: 'roomequipment/add', component: RoomequipmentCreateComponent, canActivate: [AuthguardService] },
  { path: 'roomequipment/update/:id', component: RoomequipmentUpdateComponent, canActivate: [AuthguardService] },
  { path: 'roomequipment/details/:id', component: RoomequipmentDetailsComponent, canActivate: [AuthguardService] },

  { path: 'login', component: LoginComponent },
  { path: 'logout', component: LogoutComponent, canActivate: [AuthguardService] }

];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule { }
