import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';

import { AppRoutingModule } from './app-routing.module';
import { AppComponent } from './app.component';
import {HTTP_INTERCEPTORS, HttpClientModule} from '@angular/common/http';
import { FormsModule } from '@angular/forms';

import { RoomCreateComponent } from './room/room-create/room-create.component';
import { RoomListComponent } from './room/room-list/room-list.component';
import { RoomDetailsComponent } from './room/room-details/room-details.component';
import { EventListComponent } from './event/event-list/event-list.component';
import { EventroomCreateComponent } from './eventroom/eventroom-create/eventroom-create.component';
import { EventroomListComponent } from './eventroom/eventroom-list/eventroom-list.component';
import { EventroomDetailsComponent } from './eventroom/eventroom-details/eventroom-details.component';
import { EquipmentCreateComponent } from './equipment/equipment-create/equipment-create.component';
import { EquipmentListComponent } from './equipment/equipment-list/equipment-list.component';
import { EquipmentDetailsComponent } from './equipment/equipment-details/equipment-details.component';
import { RoomequipmentCreateComponent } from './roomequipment/roomequipment-create/roomequipment-create.component';
import { RoomequipmentListComponent } from './roomequipment/roomequipment-list/roomequipment-list.component';
import { RoomequipmentDetailsComponent } from './roomequipment/roomequipment-details/roomequipment-details.component';
import { TypereservationCreateComponent } from './typereservation/typereservation-create/typereservation-create.component';
import { TypereservationListComponent } from './typereservation/typereservation-list/typereservation-list.component';
import { TypereservationDetailsComponent } from './typereservation/typereservation-details/typereservation-details.component';
import { ReservationListComponent } from './reservation/reservation-list/reservation-list.component';
import { RoomUpdateComponent } from './room/room-update/room-update.component';
import { EquipmentUpdateComponent } from './equipment/equipment-update/equipment-update.component';
import { EventroomUpdateComponent } from './eventroom/eventroom-update/eventroom-update.component';
import { TypereservationUpdateComponent } from './typereservation/typereservation-update/typereservation-update.component';
import { RoomequipmentUpdateComponent } from './roomequipment/roomequipment-update/roomequipment-update.component';
import { LoginComponent } from './login/login.component';
import { LogoutComponent } from './logout/logout.component';
import { HeaderComponent } from './header/header.component';
import { FooterComponent } from './footer/footer.component';
import {BasicAuthHtppInterceptorService} from './_services/basicauthinterceptor.service';


@NgModule({
  declarations: [
    AppComponent,
    RoomCreateComponent,
    RoomListComponent,
    RoomDetailsComponent,
    EventListComponent,
    EventroomCreateComponent,
    EventroomListComponent,
    EventroomDetailsComponent,
    EquipmentCreateComponent,
    EquipmentListComponent,
    EquipmentDetailsComponent,
    RoomequipmentCreateComponent,
    RoomequipmentListComponent,
    RoomequipmentDetailsComponent,
    TypereservationCreateComponent,
    TypereservationListComponent,
    TypereservationDetailsComponent,
    ReservationListComponent,
    RoomUpdateComponent,
    EquipmentUpdateComponent,
    EventroomUpdateComponent,
    TypereservationUpdateComponent,
    RoomequipmentUpdateComponent,
    LoginComponent,
    LogoutComponent,
    HeaderComponent,
    FooterComponent
  ],
  imports: [
    BrowserModule,
    AppRoutingModule,
    FormsModule,
    HttpClientModule
  ],
  providers: [
    {
      provide: HTTP_INTERCEPTORS, useClass: BasicAuthHtppInterceptorService, multi: true
    }
  ],
  bootstrap: [AppComponent]
})
export class AppModule { }
