import { Component, OnInit } from '@angular/core';
import { EquipmentService } from '../../_services/equipment.service';
import { Equipment } from '../../_models/equipment';
import { Router } from '@angular/router';

@Component({
  selector: 'app-equipment-create',
  templateUrl: './equipment-create.component.html',
  styleUrls: ['./equipment-create.component.css']
})
export class EquipmentCreateComponent implements OnInit {

  equipment: Equipment = new Equipment();
  submitted = false;

  constructor(private equipmentService: EquipmentService, private router: Router) { }

  ngOnInit() {
  }

  newEquipment(): void {
    this.submitted = false;
    this.equipment = new Equipment();
  }

  save() {
    this.equipment.createdBy = 'frontend';
    this.equipment.updatedBy = 'frontend';

    this.equipmentService.createEquipment(this.equipment)
      .subscribe(data => console.log(data), error => console.log(error));
    this.equipment = new Equipment();
    /* this.gotoList(); */
  }

  gotoList() {
    this.router.navigate(['/equipment/equipments']);
  }

  onSubmit() {
    this.submitted = true;
    this.save();
  }

}
