import { Component, OnInit } from '@angular/core';
import { Router, ActivatedRoute } from '@angular/router';
import { Equipment } from '../../_models/equipment';
import { EquipmentService } from '../../_services/equipment.service';

@Component({
  selector: 'app-equipment-details',
  templateUrl: './equipment-details.component.html',
  styleUrls: ['./equipment-details.component.css']
})
export class EquipmentDetailsComponent implements OnInit {

  id: number;
  equipment: Equipment;

  constructor(private route: ActivatedRoute, private router: Router, private equipmentService: EquipmentService) { }

  ngOnInit() {
    this.equipment = new Equipment();

    this.id = this.route.snapshot.params['id'];

    this.equipmentService.getEquipment(this.id)
      .subscribe(data => {
        console.log(data);
        this.equipment = data;
      }, error => console.log(error));
  }

  list() {
    this.router.navigate(['equipment/equipments']);
  }

}
