import { Component, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { Observable } from 'rxjs';

import { EquipmentService } from '../../_services/equipment.service';
import {Equipment} from '../../_models/equipment';


@Component({
  selector: 'app-equipment-list',
  templateUrl: './equipment-list.component.html',
  styleUrls: ['./equipment-list.component.css']
})
export class EquipmentListComponent implements OnInit {
  equipments: Observable<Equipment[]>;

  constructor(private equipmentService: EquipmentService, private router: Router) {
    /* per a tornar de update */
    this.reloadData();
  }

  ngOnInit() {
    this.reloadData();
  }

  reloadData() {
    this.equipments = this.equipmentService.getEquipmentsList();
  }

  deleteEquipment(id: number) {
    this.equipmentService.deleteEquipment(id)
      .subscribe(
        data => {
          console.log(data);
          this.reloadData();
        },
        error => console.log(error));
  }

  equipmentDetails(id: number) {
    this.router.navigate(['equipment/details', id]);
  }

  equipmentUpdate(id: number) {
    this.router.navigate(['equipment/update', id]);
  }

  equipmentCreate() {
    this.router.navigate(['equipment/add']);
  }


}
