import { Component, OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { Equipment } from '../../_models/equipment';
import { EquipmentService } from '../../_services/equipment.service';

@Component({
  selector: 'app-equipment-update',
  templateUrl: './equipment-update.component.html',
  styleUrls: ['./equipment-update.component.css']
})
export class EquipmentUpdateComponent implements OnInit {

  id: number;
  equipment: Equipment;

  constructor(private route: ActivatedRoute, private router: Router, private equipmentService: EquipmentService) { }

  ngOnInit() {
    this.equipment = new Equipment();

    this.id = this.route.snapshot.params['id'];

    this.equipmentService.getEquipment(this.id)
      .subscribe(data => {
        console.log(data)
        this.equipment = data;
      }, error => console.log(error));
  }

  updateEquipment() {
    this.equipment.updatedBy = 'frontend';

    this.equipmentService.updateEquipment(this.id, this.equipment)
      .subscribe(data => console.log(data), error => console.log(error));
    this.equipment = new Equipment();
    this.gotoList();
  }

  gotoList() {
    this.router.navigate(['/equipment/equipments']);
  }

  onSubmit() {
    this.updateEquipment();
  }

}
