import { Component, OnInit } from '@angular/core';
import { EventroomService } from '../../_services/eventroom.service';
import { Eventroom } from '../../_models/eventroom';
import { Router } from '@angular/router';
import { EventService } from '../../_services/event.service';
import { Event } from '../../_models/event';
import {Room} from '../../_models/room';
import {RoomService} from '../../_services/room.service';

@Component({
  selector: 'app-eventroom-create',
  templateUrl: './eventroom-create.component.html',
  styleUrls: ['./eventroom-create.component.css']
})
export class EventroomCreateComponent implements OnInit {


  eventroom: Eventroom = new Eventroom();
  submitted = false;

  events: Event[] = [];
  rooms: Room[] = [];
  eventSelected;
  roomSelected;

  event: Event = new Event();
  room: Room = new Room();

  constructor(private eventroomService: EventroomService, private eventService: EventService,
              private roomService: RoomService, private router: Router) { }

  ngOnInit() {
    this.eventService.getEventsList().subscribe(events => this.events = events);
    this.roomService.getRoomsList().subscribe(rooms => this.rooms = rooms);
  }

  newEventroom(): void {
    this.submitted = false;
    this.eventroom = new Eventroom();
    this.event = new Event();
    this.room = new Room();
  }

  save() {
    this.eventroom.createdBy = 'frontend';
    this.eventroom.updatedBy = 'frontend';

    this.event.id = this.eventSelected;
    this.room.id = this.roomSelected;
    this.eventroom.event = this.event;
    this.eventroom.room = this.room;

    console.log('eventSelected: ' + this.eventSelected);
    console.log('roomSelected: ' + this.roomSelected);

    this.eventroomService.createEventroom(this.eventroom)
      .subscribe(data => console.log(data), error => console.log(error));
    this.eventroom = new Eventroom();
    /* this.gotoList(); */
  }

  gotoList() {
    this.router.navigate(['/eventroom/eventrooms']);
  }

  onSubmit() {
    this.submitted = true;
    this.save();
  }

}
