import { Component, OnInit } from '@angular/core';
import { Router, ActivatedRoute } from '@angular/router';
import { Eventroom } from '../../_models/eventroom';
import { EventroomService } from '../../_services/eventroom.service';

@Component({
  selector: 'app-eventroom-details',
  templateUrl: './eventroom-details.component.html',
  styleUrls: ['./eventroom-details.component.css']
})
export class EventroomDetailsComponent implements OnInit {

  id: number;
  eventroom: Eventroom;

  constructor(private route: ActivatedRoute, private router: Router, private eventroomService: EventroomService) { }

  ngOnInit() {
    this.eventroom = new Eventroom();

    this.id = this.route.snapshot.params['id'];

    this.eventroomService.getEventroom(this.id)
      .subscribe(data => {
        console.log(data);
        this.eventroom = data;
      }, error => console.log(error));
  }

  list() {
    this.router.navigate(['eventroom/eventrooms']);
  }

}
