import { Component, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { Observable } from 'rxjs';

import {EventroomService} from '../../_services/eventroom.service';
import {Eventroom} from '../../_models/eventroom';

@Component({
  selector: 'app-eventroom-list',
  templateUrl: './eventroom-list.component.html',
  styleUrls: ['./eventroom-list.component.css']
})
export class EventroomListComponent implements OnInit {
  eventrooms: Observable<Eventroom[]>;

  constructor(private eventroomService: EventroomService, private router: Router) {
    /* per a tornar de update */
    this.reloadData();
  }

  ngOnInit() {
    this.reloadData();
  }

  reloadData() {
    this.eventrooms = this.eventroomService.getEventroomsList();
  }

  deleteEventroom(id: number) {
    this.eventroomService.deleteEventroom(id)
      .subscribe(
        data => {
          console.log(data);
          this.reloadData();
        },
        error => console.log(error));
  }

  eventroomDetails(id: number) {
    this.router.navigate(['eventroom/details', id]);
  }

  eventroomUpdate(id: number) {
    this.router.navigate(['eventroom/update', id]);
  }

  eventroomCreate() {
    this.router.navigate(['eventroom/add']);
  }

}
