import { Component, OnInit } from '@angular/core';
import { RoomService } from '../../_services/room.service';
import { Room } from '../../_models/room';
import { Router } from '@angular/router';

@Component({
  selector: 'app-room-create',
  templateUrl: './room-create.component.html',
  styleUrls: ['./room-create.component.css']
})
export class RoomCreateComponent implements OnInit {

  room: Room = new Room();
  submitted = false;

  constructor(private roomService: RoomService, private router: Router) { }

  ngOnInit() {
  }

  newRoom(): void {
    this.submitted = false;
    this.room = new Room();
  }

  save() {
    this.room.createdBy = 'frontend';
    this.room.updatedBy = 'frontend';

    this.roomService.createRoom(this.room)
      .subscribe(data => console.log(data), error => console.log(error));
    this.room = new Room();
    /* this.gotoList(); */
  }

  gotoList() {
    this.router.navigate(['/room/rooms']);
  }

  onSubmit() {
    this.submitted = true;
    this.save();
  }

}
