import { Component, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { Observable } from 'rxjs';

import { RoomService } from '../../_services/room.service';
import { Room } from '../../_models/room';

@Component({
  selector: 'app-room-list',
  templateUrl: './room-list.component.html',
  styleUrls: ['./room-list.component.css']
})
export class RoomListComponent implements OnInit {
  rooms: Observable<Room[]>;

  constructor(private roomService: RoomService, private router: Router) {
    /* per a tornar de update */
    this.reloadData();
  }

  ngOnInit() {
    this.reloadData();
  }

  reloadData() {
    this.rooms = this.roomService.getRoomsList();
  }

  deleteRoom(id: number) {
    this.roomService.deleteRoom(id)
      .subscribe(
        data => {
          console.log(data);
          this.reloadData();
        },
        error => console.log(error));
  }

  roomDetails(id: number) {
    this.router.navigate(['room/details', id]);
  }

  roomUpdate(id: number) {
    this.router.navigate(['room/update', id]);
  }

  roomCreate() {
    this.router.navigate(['room/add']);
  }
}
