import { Component, OnInit } from '@angular/core';
import { RoomequipmentService } from '../../_services/roomequipment.service';
import { Roomequipment } from '../../_models/roomequipment';
import { Router } from '@angular/router';
import { RoomService } from '../../_services/room.service';
import { Room } from '../../_models/room';
import {Equipment} from '../../_models/equipment';
import {EquipmentService} from '../../_services/equipment.service';
import {Eventroom} from '../../_models/eventroom';
import {Event} from '../../_models/event';
import {EventroomService} from '../../_services/eventroom.service';
import {EventService} from '../../_services/event.service';
@Component({
  selector: 'app-roomequipment-create',
  templateUrl: './roomequipment-create.component.html',
  styleUrls: ['./roomequipment-create.component.css']
})
export class RoomequipmentCreateComponent implements OnInit {

  roomequipment: Roomequipment = new Roomequipment();
  submitted = false;

  rooms: Room[] = [];
  equipments: Equipment[] = [];
  roomSelected;
  equipmentSelected;

  room: Room = new Room();
  equipment: Equipment = new Equipment();

  constructor(private roomequipmentService: RoomequipmentService, private roomService: RoomService,
              private equipmentService: EquipmentService, private router: Router) { }

  ngOnInit() {
    this.roomService.getRoomsList().subscribe(rooms => this.rooms = rooms);
    this.equipmentService.getEquipmentsList().subscribe(equipments => this.equipments = equipments);
  }

  newRoomequipment(): void {
    this.submitted = false;
    this.roomequipment = new Roomequipment();
    this.room = new Room();
    this.equipment = new Equipment();
  }

  save() {
    this.roomequipment.createdBy = 'frontend';
    this.roomequipment.updatedBy = 'frontend';

    this.room.id = this.roomSelected;
    this.equipment.id = this.equipmentSelected;
    this.roomequipment.room = this.room;
    this.roomequipment.equipment = this.equipment;

    this.roomequipmentService.createRoomequipment(this.roomequipment)
      .subscribe(data => console.log(data), error => console.log(error));
    this.roomequipment = new Roomequipment();
    /* this.gotoList(); */
  }

  gotoList() {
    this.router.navigate(['/roomequipment/roomequipments']);
  }

  onSubmit() {
    this.submitted = true;
    this.save();
  }

}
