import { Component, OnInit } from '@angular/core';
import { Router, ActivatedRoute } from '@angular/router';
import { Roomequipment } from '../../_models/roomequipment';
import { RoomequipmentService } from '../../_services/roomequipment.service';
import {Eventroom} from '../../_models/eventroom';
import {EventroomService} from '../../_services/eventroom.service';

@Component({
  selector: 'app-roomequipment-details',
  templateUrl: './roomequipment-details.component.html',
  styleUrls: ['./roomequipment-details.component.css']
})
export class RoomequipmentDetailsComponent implements OnInit {

  id: number;
  roomequipment: Roomequipment;

  constructor(private route: ActivatedRoute, private router: Router, private roomequipmentService: RoomequipmentService) { }

  ngOnInit() {
    this.roomequipment = new Roomequipment();

    this.id = this.route.snapshot.params['id'];

    this.roomequipmentService.getRoomequipment(this.id)
      .subscribe(data => {
        console.log(data);
        this.roomequipment = data;
      }, error => console.log(error));
  }

  list() {
    this.router.navigate(['roomequipment/roomequipments']);
  }


}
