import { Component, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { Observable } from 'rxjs';

import {RoomequipmentService} from '../../_services/roomequipment.service';
import {Roomequipment} from '../../_models/roomequipment';
import {Eventroom} from '../../_models/eventroom';
import {EventroomService} from '../../_services/eventroom.service';

@Component({
  selector: 'app-roomequipment-list',
  templateUrl: './roomequipment-list.component.html',
  styleUrls: ['./roomequipment-list.component.css']
})
export class RoomequipmentListComponent implements OnInit {
  roomequipments: Observable<Roomequipment[]>;

  constructor(private roomequipmentService: RoomequipmentService, private router: Router) {
    /* per a tornar de update */
    this.reloadData();
  }

  ngOnInit() {
    this.reloadData();
  }

  reloadData() {
    this.roomequipments = this.roomequipmentService.getRoomequipmentList();
  }

  deleteRoomequipment(id: number) {
    this.roomequipmentService.deleteRoomequipment(id)
      .subscribe(
        data => {
          console.log(data);
          this.reloadData();
        },
        error => console.log(error));
  }

  roomequipmentDetails(id: number) {
    this.router.navigate(['roomequipment/details', id]);
  }

  roomequipmentUpdate(id: number) {
    this.router.navigate(['roomequipment/update', id]);
  }

  roomequipmentCreate() {
    this.router.navigate(['roomequipment/add']);
  }


}
