import { Component, OnInit } from '@angular/core';
import { TypereservationService } from '../../_services/typereservation.service';
import { Typereservation } from '../../_models/typereservation';
import { Router } from '@angular/router';

@Component({
  selector: 'app-typereservation-create',
  templateUrl: './typereservation-create.component.html',
  styleUrls: ['./typereservation-create.component.css']
})
export class TypereservationCreateComponent implements OnInit {

  typereservation: Typereservation = new Typereservation();
  submitted = false;

  constructor(private typereservationService: TypereservationService, private router: Router) { }

  ngOnInit() {
  }

  newTypereservation(): void {
    this.submitted = false;
    this.typereservation = new Typereservation();
  }

  save() {
    this.typereservation.createdBy = 'frontend';
    this.typereservation.updatedBy = 'frontend';

    this.typereservationService.createTypereservation(this.typereservation)
      .subscribe(data => console.log(data), error => console.log(error));
    this.typereservation = new Typereservation();
    /* this.gotoList(); */
  }

  gotoList() {
    this.router.navigate(['/typereservation/typereservations']);
  }

  onSubmit() {
    this.submitted = true;
    this.save();
  }

}
