import { Component, OnInit } from '@angular/core';
import { Router, ActivatedRoute } from '@angular/router';
import { Typereservation } from '../../_models/typereservation';
import { TypereservationService } from '../../_services/typereservation.service';

@Component({
  selector: 'app-typereservation-details',
  templateUrl: './typereservation-details.component.html',
  styleUrls: ['./typereservation-details.component.css']
})
export class TypereservationDetailsComponent implements OnInit {

  id: number;
  typereservation: Typereservation;

  constructor(private route: ActivatedRoute, private router: Router, private typereservationService: TypereservationService) { }

  ngOnInit() {
    this.typereservation = new Typereservation();

    this.id = this.route.snapshot.params['id'];

    this.typereservationService.getTypereservation(this.id)
      .subscribe(data => {
        console.log(data);
        this.typereservation = data;
      }, error => console.log(error));
  }

  list() {
    this.router.navigate(['typereservation/typereservations']);
  }

}
