import { Component, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { Observable } from 'rxjs';

import { TypereservationService } from '../../_services/typereservation.service';
import { Typereservation } from '../../_models/typereservation';

@Component({
  selector: 'app-typereservation-list',
  templateUrl: './typereservation-list.component.html',
  styleUrls: ['./typereservation-list.component.css']
})
export class TypereservationListComponent implements OnInit {
  typereservations: Observable<Typereservation[]>;

  constructor(private typereservationService: TypereservationService, private router: Router) {
    /* per a tornar de update */
    this.reloadData();
  }

  ngOnInit() {
    this.reloadData();
  }

  reloadData() {
    this.typereservations = this.typereservationService.getTypereservationList();
  }

  deleteTypereservation(id: number) {
    this.typereservationService.deleteTypereservation(id)
      .subscribe(
        data => {
          console.log(data);
          this.reloadData();
        },
        error => console.log(error));
  }

  typereservationDetails(id: number) {
    this.router.navigate(['typereservation/details', id]);
  }

  typereservationUpdate(id: number) {
    this.router.navigate(['typereservation/update', id]);
  }

  typereservationCreate() {
    this.router.navigate(['typereservation/add']);
  }

}
