import { Component, OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { Typereservation } from '../../_models/typereservation';
import { TypereservationService } from '../../_services/typereservation.service';

@Component({
  selector: 'app-typereservation-update',
  templateUrl: './typereservation-update.component.html',
  styleUrls: ['./typereservation-update.component.css']
})
export class TypereservationUpdateComponent implements OnInit {

  id: number;
  typereservation: Typereservation;

  constructor(private route: ActivatedRoute, private router: Router, private typereservationService: TypereservationService) { }

  ngOnInit() {
    this.typereservation = new Typereservation();

    this.id = this.route.snapshot.params['id'];

    this.typereservationService.getTypereservation(this.id)
      .subscribe(data => {
        console.log(data);
        this.typereservation = data;
      }, error => console.log(error));
  }

  updateTypereservation() {
    this.typereservation.updatedBy = 'frontend';

    this.typereservationService.updateTypereservation(this.id, this.typereservation)
      .subscribe(data => console.log(data), error => console.log(error));
    this.typereservation = new Typereservation();
    this.gotoList();
  }

  gotoList() {
    this.router.navigate(['/typereservation/typereservations']);
  }

  onSubmit() {
    this.updateTypereservation();
  }

}
